aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2018-07-21 22:20:18 +0200
committerDavide Pesavento <pesa@gentoo.org>2018-07-21 22:20:18 +0200
commit2430d61f6f838448a63f8ab87b3243e8fab95acb (patch)
tree0e42f300d68503367c94a1ef1cfe50f309d015fd
parentqmake-utils.eclass: Ban <EAPI-5 use (diff)
downloadqt-2430d61f6f838448a63f8ab87b3243e8fab95acb.tar.gz
qt-2430d61f6f838448a63f8ab87b3243e8fab95acb.tar.bz2
qt-2430d61f6f838448a63f8ab87b3243e8fab95acb.zip
qmake-utils.eclass: sync with gentoo repo
-rw-r--r--eclass/qmake-utils.eclass7
1 files changed, 7 insertions, 0 deletions
diff --git a/eclass/qmake-utils.eclass b/eclass/qmake-utils.eclass
index 916fcc92..f8981c75 100644
--- a/eclass/qmake-utils.eclass
+++ b/eclass/qmake-utils.eclass
@@ -27,6 +27,8 @@ inherit estack toolchain-funcs
# Echoes the directory where Qt4 binaries are installed.
# EPREFIX is already prepended to the returned path.
qt4_get_bindir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
+
local qtbindir=${EPREFIX}$(qt4_get_libdir)/bin
if [[ -d ${qtbindir} ]]; then
echo ${qtbindir}
@@ -39,6 +41,7 @@ qt4_get_bindir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 headers are installed.
qt4_get_headerdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/include/qt4
}
@@ -46,6 +49,7 @@ qt4_get_headerdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 libraries are installed.
qt4_get_libdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/$(get_libdir)/qt4
}
@@ -53,6 +57,7 @@ qt4_get_libdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 mkspecs are installed.
qt4_get_mkspecsdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/share/qt4/mkspecs
}
@@ -60,6 +65,7 @@ qt4_get_mkspecsdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 plugins are installed.
qt4_get_plugindir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo $(qt4_get_libdir)/plugins
}
@@ -159,6 +165,7 @@ qmake-utils_find_pro_file() {
# specified inside the top-level project file.
eqmake4() {
debug-print-function ${FUNCNAME} "$@"
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
ebegin "Running qmake"